/*----------------------------------------------------------------------------
 Copyright:      Chris Fiege    < Chris.Fiege@web.de >
 Author:         Chris Fiege
 Remarks:        angepasst von Shortie
 known Problems: none
 Version:        24.01.2011
 Description:    http_client

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
---------------------------------------------------------------------------- 
 
 Lizenzbedingung angepasst auf GPLv2 nach Rcksprache mit Chris Fiege
 
----------------------------------------------------------------------------*/


#ifndef _HTTP_CLIENT_H
	#define _HTTP_CLIENT_H

	#define   HTTP_CLIENT_DEBUG usart_write
	//#define HTTP_CLIENT_DEBUG(...)

    #define HTTP_CLIENT_SERVER_IP IP(192,168,200,200)
	#define HTTP_CLIENT_SERVERNAME "intranet.bb.shortie.de"
	#define HTTP_CLIENT_SERVERPFAD "/avr-test/daten.php"
	
	#define HTTP_CLIENT_PORT 1178
	#define HTTP_CLIENT_PORT_RANGE 4
	
	//Anzahl der OW-Sensor-werte die an den Server gesendet werden sollen
	#define HTTP_CLIENT_NUM_OW_SENS 4
	
	//Offset der OW-Sensor-Index-Werte
	//Richtet sich nach den IDs, die die Webseite erwartet!
	#define HTTP_CLIENT_OW_SENS_OFFSET 10
	
	void http_client_do(void);
	void http_client_data (unsigned char index);

#endif

