/*----------------------------------------------------------------------------
 Copyright:      Christoph Mai
 Author:         Christoph Mai
 Remarks:		 
 known Problems:
 Version:        28.10.2010
 Description:    ATtiny2313 i2c-Servocontroller

 This module interprets a stream of intel hex information and flashes it
 to the programm store.

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der
 GNU General Public License, wie von der Free Software Foundation verffentlicht,
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder
 (nach Ihrer Option) jeder spteren Version.

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung,
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 Programm erhalten haben.
 Falls nicht, schreiben Sie an die Free Software Foundation,
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------------*/

#ifndef _I2CServo_H
#define _I2CServo_H

	//#define I2CSERVO_DEBUG usart_write
	#define I2CSERVO_DEBUG(...)

	//-----------------------------------------------------------------------
	// I2C / TWI Adresse des Servocontrollers
	//-----------------------------------------------------------------------

	#define DevI2CServo		0x50	// device address of ATtiny2313 i2c-Servocontroller

	//-----------------------------------------------------------------------

	void 		 Servo_setposition(unsigned int servo, unsigned int position);
	unsigned int Servo_readposition(unsigned int servo);

	//-----------------------------------------------------------------------
	
#endif