/*----------------------------------------------------------------------------
Copyright:      Shortie
Author:         Shortie
Remarks:        
known Problems: none
Version:        06.11.2009
Description:    Webserver Config-File fr Inhalte der Webseite

Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
GNU General Public License, wie von der Free Software Foundation verffentlicht, 
weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
(nach Ihrer Option) jeder spteren Version. 

Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
Programm erhalten haben. 
Falls nicht, schreiben Sie an die Free Software Foundation, 
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 

-----------------------------------------------------------------------------
*/


// Namen fr die digitalen Eingnge
// --------------------------------

// Zuordnung PORTA0-3
#define Eing_A0 "A0_"
#define Eing_A1 "A1_"
#define Eing_A2 "A2_"
#define Eing_A3 "A3_"

// Namen fr die weiteren Eingnge
// -------------------------------

#if USE_ADC					// Zuordnung PORTA4-7 analog
	#define Eing_A4 "ADC1"	// wenn USE_ADC 1
	#define Eing_A5 "ADC2"
	#define Eing_A6 "ADC3"
	#define Eing_A7 "ADC4"
#else						// Zuordnung PORTA4-7 digital
	#define Eing_A4 "A4_"	// wenn USE_ADC 0
	#define Eing_A5 "A5_"
	#define Eing_A6 "A6_"
	#define Eing_A7 "A7_"
#endif

// Namen fr die Schaltausgnge
// ----------------------------

// Zuordnung PORTC0-7
#define Ausg_C0	"C0_Relais_1"
#define Ausg_C1	"C1_Relais_2"
#define Ausg_C2	"C2_Relais_3"
#define Ausg_C3	"C3_Relais_4"
#define Ausg_C4	"C4_Relais_5"
#define Ausg_C5	"C5_Relais_6"
#define Ausg_C6	"C6_Relais_7"
#define Ausg_C7	"C7_Relais_8"


// Namen fr die DS1820 Sensoren:
// ------------------------------
#if USE_OW
	#define T00     "Aussen"
	#define T01     "Innen"
	#define T02     "Reserve"
	#define T03     "Reserve"
	#define T04     "Reserve"
	#define T05     "Reserve"
	#define T06     "Reserve"
	#define T07     "Reserve"
#endif
