<?php
/*
#######################################
Datenauswertung fr den HTTP_CLIENT fr AVR NET IO mit RoBue1.5
#######################################

Copyright (C) 2010 Chris Fiege    < Chris.Fiege@web.de >

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this 
program; if not, see <http://www.gnu.org/licenses/>.

*/

/*
#######################################
Datenauswertung fr den HTTP_CLIENT fr AVR NET IO mit RoBue1.5
#######################################


Abhngigkeiten:
-> PHPlot 5.1.1 (siehe: http://phplot.sourceforge.net/ )
-> Eine kompatible Datenbank (siehe beiliegende sql_struct.sql)
-> config.inc.php mit korrekter Konfiguration

Was es dann tut:
Das Script liest fr eine gegebene Messstelle (HTTP-GET Parameter id) Messdaten fr einen gegebenen Zeitraum aus der Datenbank aus und
gibt diese als Grafik im PNG-Format aus. Die an den Webbrowser bermittelten Daten haben den Mime-Typ eines Bildes!

Der Zeitraum wird ber den GET Parameter time in Stunden festgelegt.

*/


/*
Versionshistorie:
#################

2010-04-18:
V1
Chris Fiege
-> Erster Lauffhiger Entwurf
-> Zeigt Messwerte in n Stunden seit jetzt fr eine gegebene Messstelle in die Vergangenheit

*/




require 'phplot/phplot.php';
require_once("config.inc.php");

//Verbindung auf die Datenbank aufbauen
mysql_connect($CONF_DB_host, $CONF_DB_user, $CONF_DB_pass)
	OR DIE();
//Datenbank auswhlen
mysql_select_db($CONF_DB_db)
	OR DIE();

if(!isset($_GET['id'])) DIE();

//Versuchen wir diese Messstelle in der Datenbank zu finden:
$result = mysql_query("SELECT ID, Messstelle, Beschreibung, Einheit FROM sensor WHERE Messstelle = ".$_GET['id'].";")
	OR DIE();

if(!$result) {
	DIE();
}

//Messstellendaten sichern
$stellendaten = mysql_fetch_row($result);

$time = 24*60*60;
if(isset($_GET['time'])) $time = $_GET['time']*60*60;

//Daten fr die Messstelle holen!
$result = mysql_query("SELECT Wert, Timestamp FROM messwert WHERE ID_sensor = ".$stellendaten[0]." AND Timestamp > ".(time()-$time).";")
	OR DIE();

$daten = array();
$i = 1;
while($row = mysql_fetch_row($result)) {
	$daten[] = array('',(($row[1]-time())/60/60),$row[0]);
}

$plot = new PHPlot(800,500);
$plot->SetImageBorderType('plain');
$plot->SetDataType('data-data');
$plot->SetPlotType('lines');
$plot->SetLineWidth(1);
$plot->SetTitle($stellendaten[2]);
$plot->SetDrawDashedGrid(true);
$plot->SetDrawXGrid(true);
$plot->SetDrawXGrid(true);
$plot->SetXLabelType('data', 1);
$plot->SetDataValues($daten);
$plot->SetYTitle($stellendaten[3]);
$plot->SetXTitle("Zeit in Stunden seit jetzt");
$plot->SetDataColors('blue');
$plot->DrawGraph();

?>
