/*----------------------------------------------------------------------------
 Copyright:      Christoph Mai
 Author:         Christoph Mai
 Remarks:		 
 known Problems:
 Version:        18.10.2010
 Description:    

 This module interprets a stream of intel hex information and flashes it
 to the programm store.

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der
 GNU General Public License, wie von der Free Software Foundation verffentlicht,
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder
 (nach Ihrer Option) jeder spteren Version.

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung,
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 Programm erhalten haben.
 Falls nicht, schreiben Sie an die Free Software Foundation,
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------------*/

#ifndef _24Cxx_H
#define _24Cxx_H

	// #define Dev24Cxx		0xA2	// device address of EEPROM 24C02, see datasheet
	
	#define Dev24Cxx		0xA0	// device address of Siemens SL24C16

	void 			SL24Cxx_write_byte(unsigned int address, unsigned char variable);
	unsigned char 	SL24Cxx_read_byte(unsigned int address);
	// signed int	SL24Cxx_read_int16(unsigned int address);
	
	// void fill_eeprom(void);
#endif