/**
*	Zuordnungen der von der IR-Fernsteuerung gesendeten Codes fr
*    
*	KDG Universal Fernbedienung
*
*	getestet von Arcon
*
*	Infos: http://www.kabeldeutschland.de/static/media/Bedienungsanleitung_Fernbedienung.pdf
*
*/

//---------------------------------------------------------------------------
//
//	Hinweise:
//	- * Taste ... kennzeichnet Code der von mehreren Tasten gesendet wird
//	- Zahlen in Klammer hinter Taste geben Device an welches mit dem Code bertragen wird
//	- Code 255 bedeutet da FB keinen Code sendet / Platzhalter
//
//---------------------------------------------------------------------------

#define FB_CODE	10000	//	Standardeinstellung ohne Code fr Kabel Deutschland VDR
						//  daher 0000 mit vorangestellter 1

//===========================================================================

#if (FB_CODE == 10000)

// Standard-Device fr ist 10

//---------------------------------------------------------------------------
//	Bezeichner		Code	Beschreibung    
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define	RC5DEV_ID	10	// Device address

#define	RC5KEY_OPT	10	// Taste Opt

#define	PC5KEY_PWR	12	// Taste PWR

#define	RC5KEY_INFO	15	// Taste i (Info)
#define	RC5KEY_JUP	16	// Joystick Up
#define	RC5KEY_JDN	17	// Joystick Down
#define	RC5KEY_MENU	18	// Taste Men
#define	RC5KEY_back	19	// Taste Zurck

#define	RC5KEY_JL	21	// Joystick Left
#define	RC5KEY_JR	22	// Joystick Right
#define	RC5KEY_JBTN	23	// Joystick Button = Taste OK

#define	RC5KEY_CHUP	32	// Taste CHAN +
#define	RC5KEY_CHDN	33	// Taste CHAN -

#define	RC5KEY_RED	43	// Taste Rot
#define	RC5KEY_GRN	44	// Taste Grn
#define	RC5KEY_YEL	45	// Taste Gelb
#define	RC5KEY_BLU	46	// Taste Blau
#define	RC5KEY_LIST	47	// Taste LISTE
#define	RC5KEY_PLAY	48	// Taste PLAY/PAUSE
#define	RC5KEY_PPV	49	// Taste PPV (Pay per view)
#define	RC5KEY_REW	50	// Taste REW

#define	RC5KEY_FF	52	// Taste FF

#define	RC5KEY_REC	55	// Taste REC 
#define	RC5KEY_AV	56	// Taste AV

#define	RC5KEY_VT1	60	// Taste VT-Bildschirm mit 3 Linien

#define	RC5KEY_VT4	63	// Taste KDG (Oben-Mitte mit gelben KDG-Logo)

#define	RC5KEY_MUTE	255	// Taste Mute
#define	RC5KEY_VUP	255	// Taste VOL +
#define	RC5KEY_VDN	255	// Taste VOL -

#endif