/**
*	Zuordnungen der von der IR-Fernsteuerung gesendeten RC5-Codes fr
*    
*	VIVANCO UR 4 SL Universal Fernbedienung  (bei Conrad gekauft 2010)
*
*	getestet von netzwerg
*
*/

//---------------------------------------------------------------------------
//
//	Hinweise:
//	- * Taste ... kennzeichnet Code der von mehreren Tasten gesendet wird
//	- Zahlen in Klammer hinter Taste geben Device an welches mit dem Code bertragen wird
//	- Code 255 bedeutet da FB keinen Code sendet / Platzhalter
//
//---------------------------------------------------------------------------

#define    FB_CODE        102        // genutzter Code der Fernbedienung 
//===========================================================================

#if (FB_CODE == 102)    

//---------------------------------------------------------------------------
//  Bezeichner		Code        Beschreibung            FB_Code 102
//---------------------------------------------------------------------------
#define RC5KEY_10ER	10	// Taste 1-/11
#define RC5KEY_11	11	// Taste P/C 2-
#define RC5KEY_PWR	12	// Taste POWER
#define RC5KEY_MUTE	13	// Taste Mute

#define RC5KEY_JR	18	// Taste F3 (Rechts / gelb)
#define RC5KEY_JL	19	// Taste F1 (Links / rot)
#define RC5KEY_JUP	20	// Taste F2 (UP / grn)
#define RC5KEY_JDN	21	// Taste F4 (Down / blau)

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_FF	42	// Taste Vorspulen / FF
#define RC5KEY_PLAY	43	// Taste Play
#define RC5KEY_STOP	44	// Taste Stop
#define RC5KEY_REW	46	// Taste Zurckspulen / REW
#define RC5KEY_OK	47	// Taste OK

#define RC5KEY_PAUS	53	// Taste Pause
#define RC5KEY_MENU	59	// Taste MENU
#define RC5KEY_EXIT	56	// * Taste EXIT
#define RC5KEY_AV	56	// * Taste TV/AV

#define RC5KEY_VCR	63	// Taste TV/VCR

#endif

//===========================================================================