/*----------------------------------------------------------------------------
 Copyright:      Christoph Mai
 Author:         Chrtistoph Mai
 Remarks:		 
 known Problems:
 Version:        05.10.2010
 Description:    

 This module interprets a stream of intel hex information and flashes it
 to the programm store.

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der
 GNU General Public License, wie von der Free Software Foundation verffentlicht,
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder
 (nach Ihrer Option) jeder spteren Version.

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung,
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 Programm erhalten haben.
 Falls nicht, schreiben Sie an die Free Software Foundation,
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------------*/

#ifndef _LEDS_H
#define _LEDS_H

#define LED_PORT	PORTD	// Port der LEDs
#define LED_1			2	// LED 1 auf ADD-ON Board
#define LED_2			4	// LED 2 auf ADD-ON Board
#define LED_3			6	// LED 3 auf ADD-ON Board

void LED_on ( unsigned char LED_index );
void LED_off ( unsigned char LED_index );
void LED_toggle ( unsigned char LED_index );

#if LED3_PWM
void InitPWM_LED3 (void);
void SetPWMOutput(uint8_t pwrwert);
#endif

#endif
