/*----------------------------------------------------------------------------
 Copyright:      Dietmar Misch
 Author:         Dietmar Misch
 Remarks:        
 known Problems: none
 Version:        13.08.2008
 Description:    UDP Senden/Empfang
 
 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
----------------------------------------------------------------------------*/
#ifndef _UDP_SEND_H
	#define _UDP_SEND_H

#include "config.h"

#if USE_UDPSEND

	//#define UDP_DEBUG usart_write
	#define UDP_DEBUG(...)
	
	void udp_send_init(void);
	void udp_send(unsigned long UDP_IP_SEND); 
	void udp_empfang(unsigned char);
	#if (UDPSEND_SPORT!=0)
	volatile unsigned int udp_send_timer;
	#endif
#endif
#endif //USE_UDPSEND

